#ifndef _COMPAT_H_
#define _COMPAT_H_

#undef HAVE_errx
#undef HAVE_sysexits

#ifdef unix
# include <sys/param.h>
# ifdef BSD
#  define HAVE_errx
#  if BSD >= 199306
#   define HAVE_sysexits
#  endif
# endif
#endif

#ifdef __linux__
#define HAVE_errx
#define HAVE_sysexits
#endif


#ifdef HAVE_errx
# include <err.h>
#else
# define errx(rc,str) { fprintf(stderr,"fmt: %s\n",str); exit(rc); }
#endif

#ifdef HAVE_sysexits
# include <sysexits.h>
#else
# define EX_USAGE 1
# define EX_NOINPUT 1
# define EX_SOFTWARE 1
# define EX_OSERR 1
#endif

#endif  /* _COMPAT_H_ */